This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### double
Examples |
    double a;            // Declare variable 'a' of type float
    a = 1.5387;          // Assign 'a' the value 1.5387
    double b = -2.984;   // Declare variable 'b' and assign it the value -2.984
    double c = a + b;    // Declare variable 'c' and assign it the sum of 'a' and 'b'
    float f = (float)c;  // Converts the value of 'c' from a double to a float
Description | Datatype for floating-point numbers larger than those that can be stored in a float. A float is a 32-bit values that can be as large as 3.40282347E+38 and as low as -3.40282347E+38. A double can be used similarly to a float, but can have a greater magnitude because it's a 64-bit number. Processing functions don't use this datatype, so while they work in the language, you'll usually have to convert to a float using the (float) syntax before passing into a function.
Syntax |
    double var
    double var = value
Parameters |
var | variable name referencing the float
value | any floating-point value
Related | float

Updated on October 26, 2013 08:58:34pm PDT